<button
  (click)="clickAction.emit()"
  class="shadow-xl inline-flex items-center p-3 border border-transparent rounded-full shadow-sm text-white focus:outline-none {{getClassesByAction()}}">
  <svg class="fill-current w-6 h-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
    <path *ngIf="action === 'dislike'"
      d="M23.5 23.999c-.134 0-.259-.052-.354-.146L12 12.706.854 23.853c-.094.094-.22.146-.354.146s-.259-.052-.354-.146c-.195-.195-.195-.512 0-.707L11.292 12 .147.853C-.048.658-.048.341.147.146.241.051.367-.001.5-.001s.259.052.354.146L12 11.292 23.147.146c.094-.094.22-.146.354-.146s.259.052.354.146c.195.195.195.512 0 .707L12.707 11.999l11.146 11.146c.195.195.195.512 0 .707-.094.095-.219.147-.353.147z"/>
    <path *ngIf="action === 'like'"
      d="M7.498 23.996c-.456 0-.885-.177-1.207-.498L.499 17.705c-.323-.323-.501-.753-.5-1.208 0-.456.178-.884.501-1.206l2.292-2.293c.323-.323.752-.501 1.207-.501.457 0 .886.178 1.208.501l2.292 2.293 11.289-11.29c.327-.326.755-.503 1.211-.503.457 0 .886.178 1.208.5l2.292 2.293c.322.323.5.752.5 1.208 0 .456-.178.885-.5 1.206L8.706 23.498c-.322.322-.751.498-1.208.498zm-3.5-10.498c-.189 0-.366.073-.499.207l-2.293 2.294c-.134.134-.207.311-.208.5s.073.366.206.499l5.793 5.794c.133.132.311.206.501.206s.367-.073.501-.206L22.791 7.999c.133-.133.207-.31.207-.499s-.073-.366-.206-.499l-2.293-2.294c-.134-.134-.311-.207-.501-.207-.188 0-.364.072-.497.204L7.852 16.352c-.094.094-.22.146-.354.146s-.259-.052-.354-.146l-2.646-2.647c-.133-.133-.31-.207-.5-.207v-.25.25z"/>
  </svg>
</button>
